Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface JoinCriterion

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface JoinCriterion

extends org.eclipse.emf.cdo.CDOObject

A representation of the model object 'Join Criterion'.

The following features are supported:

- `Left Table`
- `Left Column`
- `Right Table`
- `Right Column`

See Also:
  `DatagenPackage.getJoinCriterion()`

Method Summary
`TableColumn` | `getLeftColumn()` Returns the value of the 'Left Column' reference
`QTable` | `getLeftTable()` Returns the value of the 'Left Table' reference
`TableColumn` | `getRightColumn()` Returns the value of the 'Right Column' reference
`QTable` | `getRightTable()` Returns the value of the 'Right Table' reference
`void` | `setLeftColumn(TableColumn value)` Sets the value of the '`Left Column`' reference
`void` | `setLeftTable(QTable value)` Sets the value of the '`Left Table`' reference
`void` | `setRightColumn(TableColumn value)` Sets the value of the '`Right Column`' reference
`void` | `setRightTable(QTable value)` Sets the value of the '`Right Table`' reference

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeftTable

    QTable getLeftTable()

  Returns the value of the 'Left Table' reference.

  If the meaning of the 'Left Table' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Table' reference.
  See Also:
    `setLeftTable(QTable)`, `DatagenPackage.getJoinCriterion_LeftTable()`

### setLeftTable

    void setLeftTable(QTable value)

  Sets the value of the '`Left Table`' reference.

  Parameters:
    `value` - the new value of the 'Left Table' reference.
  See Also:
    `getLeftTable()`

### getLeftColumn

    TableColumn getLeftColumn()

  Returns the value of the 'Left Column' reference.

  If the meaning of the 'Left Column' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Column' reference.
  See Also:
    `setLeftColumn(TableColumn)`, `DatagenPackage.getJoinCriterion_LeftColumn()`

### setLeftColumn

    void setLeftColumn(TableColumn value)

  Sets the value of the '`Left Column`' reference.

  Parameters:
    `value` - the new value of the 'Left Column' reference.
  See Also:
    `getLeftColumn()`

### getRightTable

    QTable getRightTable()

  Returns the value of the 'Right Table' reference.

  If the meaning of the 'Right Table' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Table' reference.
  See Also:
    `setRightTable(QTable)`, `DatagenPackage.getJoinCriterion_RightTable()`

### setRightTable

    void setRightTable(QTable value)

  Sets the value of the '`Right Table`' reference.

  Parameters:
    `value` - the new value of the 'Right Table' reference.
  See Also:
    `getRightTable()`

### getRightColumn

    TableColumn getRightColumn()

  Returns the value of the 'Right Column' reference.

  If the meaning of the 'Right Column' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Column' reference.
  See Also:
    `setRightColumn(TableColumn)`, `DatagenPackage.getJoinCriterion_RightColumn()`

### setRightColumn

    void setRightColumn(TableColumn value)

  Sets the value of the '`Right Column`' reference.

  Parameters:
    `value` - the new value of the 'Right Column' reference.
  See Also:
    `getRightColumn()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD